org.apache.cassandra.index.sasi.analyzer.filter

## Class StemmerFactory

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.filter.StemmerFactory

    public class StemmerFactory
    extends java.lang.Object

Returns a SnowballStemmer instance appropriate for a given language

### Constructor Summary

Constructors
Constructor and Description
`StemmerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.tartarus.snowball.SnowballStemmer` `getStemmer(java.util.Locale locale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StemmerFactory

    public StemmerFactory()

### Method Detail

#### getStemmer

    public static org.tartarus.snowball.SnowballStemmer getStemmer(java.util.Locale locale)